Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 118630 - rexec fails with "Invalid Argument"
Summary: rexec fails with "Invalid Argument"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rsh
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Ben Levenson
URL:
Whiteboard:
: 142065 (view as bug list)
Depends On:
Blocks: 132991
TreeView+ depends on / blocked
 
Reported: 2004-03-18 14:34 UTC by Chris Van Hoof
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-18 13:03:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:074 normal SHIPPED_LIVE Low: rsh security update 2005-05-18 04:00:00 UTC

Description Chris Van Hoof 2004-03-18 14:34:15 UTC
Description of problem:
rexec fails on RHEL3 when connecting to any other distro... ( rhl
tested ) with "invalid argument"

Version-Release number of selected component (if applicable):
ALL

How reproducible:
Everytime

Steps to Reproduce:
1.Add host to .rhosts 
2.Add rexec to /etc/securetty
3.Execute rexec

Actual results:
user1@host1> rexec host1 ls 
Password:  
rexec: Invalid argument 

Expected results:
Normal rexec results.

Additional info:

Similar to bug 100976 on RHL

Comment 1 James McDermott 2004-04-07 16:44:40 UTC
Other interesting info, the -a option appears to "fix" the problem...
or substituting rsh seems to work too.

Comment 3 Pancrazio `ezio' de Mauro 2004-06-02 08:43:35 UTC
As a workaround:

LD_ASSUME_KERNEL=2.4.19 rexec <arguments>

Comment 4 Tomas Mraz 2004-11-16 13:22:56 UTC
I see this with FC 3 as well. The problem is that the rexec calls
sigaction on every signal < NSIG. But one of the calls will fail.
The easiest fix would be to simply ignore failed sigaction call.


Comment 5 Karel Zak 2004-11-17 17:19:57 UTC
Fixed in devel branch (FC4) and will fixed in RHE-3-U5.

Comment 6 Karel Zak 2004-11-23 07:38:25 UTC
Fixed in RHEL-4 too.

Comment 7 Karel Zak 2004-12-07 08:15:10 UTC
*** Bug 142065 has been marked as a duplicate of this bug. ***

Comment 8 Tim Powers 2005-05-18 13:03:12 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-074.html



Note You need to log in before you can comment on or make changes to this bug.